MessageReplaceRule Class Reference

We keep a singly-linked list of (addr,type,subtype,replace) tuples. More...

`#include <message.h>`

## Public Member Functions

| MessageReplaceRule (int _host, int _robot, int _interf, int _index, int _type, int _subtype, int _replace)
bool | Match (player_msghdr_t *hdr)
bool | Equivalent (int _host, int _robot, int _interf, int _index, int _type, int _subtype)

## Public Attributes

int | replace
MessageReplaceRule * | next

## Private Attributes

int | host
int | robot
int | interf
int | index
int | type
int | subtype

## Detailed Description

We keep a singly-linked list of (addr,type,subtype,replace) tuples.

When a new message comes in, we check its (addr,type,subtype) signature against this list to find a replace rule. If its not in the list, the default rule is used: never replace config requests or replies, replace data and command msgs if the Replace flag is set.

The documentation for this class was generated from the following file:

- message.h

Last updated 12 September 2005 21:38:45